Contents
[Main] [Next]

Welcome to TrainSpeed, the pocket calculator for train performance.

Contents:
Overview
Route Data
Train Data
Program Output

TrainSpeed is © Judith Rastall, 1997 to 2010


Overview of operation
[Previous] [Main] [Next]

This section looks at how this program works, what you can expect from it and its limitations.

TrainSpeed calculates the running time over a given route, using a given train. You may select from any route data file and from any train data file on disk. For this version of the calculator, the data files must be in the correct format - there is little in the way of error checking! If you use the in-built edit option, there should be no problem.

You may edit the route or train performance data, you may simulate the run calling at all stations, selected stations or non-stop.

Contents:
What is a Simulator?
Program Methodology
Basic Physics
Practical Considerations
Menu Options


What is a simulator?
[Previous] [Main] [Next]

A simulator attempts to calculate the performance of real events in a virtual setting. In this context, the speeds attainable and running times over a whole route or between stations of a real or proposed train can be calculated on a computer. The purpose of doing this is to derive running times for the trains so that a working timetable for the route can be compiled.

TrainSpeed also allows comparisons to be made very easily and quickly between different options such as:
· different installed power
· different braking rates
· different passenger load factors
· time saved by calling at selected station stops or running non-stop
· time saved by lifting track speed restrictions


TrainSpeed program methodology
[Previous] [Main] [Next]

The TrainSpeed program works by taking the various characteristics of the route and the train running on it and calculating the possible and permissible speeds. It then "drives" the train over the route and calculates the running time for the route.

Every second, TrainSpeed calculates the train's current speed and compares it with the permissible speed. It also looks ahead for the next applicable speed restriction or stopping point. The program then decides whether the train should accelerate, decelerate or maintain its current speed. It then calculates the distance run over the next second and the speed at the end of that time.

TrainSpeed makes assumptions on driving style which can be selected by the user. A "normal" driving style makes use of maximum available power and adhesion, whilst a "defensive" driving style restricts tractive effort and braking rates to lower values. The latter is useful for checking performance and running times during the leaf-fall season, for example.

External environmental factors such as strong winds and low temperatures are not accounted for by TrainSpeed. These can both adversely affect performance in extreme conditions.


Basic physics - Newton's 2nd Law of Motion
[Previous] [Main] [Next]

TrainSpeed is based on an application of Newton's 2nd Law of Motion. Namely that a body's acceleration is directly proportional to its mass and the forces acting upon it. The train's mass is simply the sum of the mass of all its vehicles. The forces acting upon the train are those due to tractive effort which produces acceleration and braking which produces deceleration. Other forces acting include gravity which affects the train's performance up and down gradients, friction, as in rolling resistance, and aerodynamic drag caused by the resistance of the air through which it moves.

Braking force is generally constant against speed, although this is not so for very high speed running. TrainSpeed assumes that a constant value of brake force is available.

Acceleration is proportional to the available force acting on the train. The available force is the net value of tractive effort, wind and rolling resistance. Aerodynamic drag increases in proportion to the square of speed. Tractive effort is derived from the installed power of the train and is inversely proportional to its speed. At lower speeds it is limited by such considerations as motor stall current and adhesion.

Gradients simply introduce the effects of gravity on the train. Gravity will exert an additional force to slow a train on an up-grade and to increase its speed on a down-grade. For example, a gradient of 1% (1 in 100) will allow gravity to exert an acceleration of 1% g or approximately 0.1 m/s². Although this might not seem significant for a train whose maximum acceleration is given as 1.0 m/s² or more, it must be remembered that the same train's acceleration will tail off to around 0.3 m/s² or even 0.2 m/s² at its maximum speed. This is now highly significant, introduce a gradient of 2% or 2.5% and the effects of gravity will out-weigh that of tractive effort.

In essence, this means that a train accelerating downhill will achieve its intended speed earlier. Uphill it will take longer and, in extreme circumstances, will never achieve it. Similarly, a train travelling downhill will need a significantly longer braking distance from any speed.

Finally, curvature increases the rolling resistance due to friction from flange contact and is dependent on the radius of curvature, speed, vehicle or bogie wheelbase, bogie rotational stiffnesses, and flange clearances. It will also depend on the effectiveness of any lubrication applied on the curve.

TrainSpeed Version 2 takes all these effects fully into account in its calculations.


Practical considerations
[Previous] [Main] [Next]

TrainSpeed is written using Liberty Basic, a shareware program which has much of the functionality of Microsoft's Visual Basic but at a fraction of the price. It was initially developed on a Compaq Aero laptop in my spare time in response to a need to calculate train running times on an overseas project I was working on in 1997.

The first version took no account of gradients since the railway route it was written around was essentially flat and all input and output was in metric units. Version 2 is tailored for the UK market in that it accepts and outputs distances in miles and chains and speeds in miles per hour, as well as fully accounting for gradients. It also calculates train performance from first principles.


Menu options
[Previous] [Main] [Next]

The basic menu structure is as follows:

The top of the opening screen.

Simulate route - Plots PSR profile and runs simulation. Prompts to load a route and train if none selected and asks you to specify the passenger load and if you wish to simulate normal or defensive driving. The "Go..." button at the top right of the main screen has the same function.
Plot PSR Profile - plots line speed profile (Manhattan Skyline) and gradient profile for the currently loaded route. Prompts to load a route if none is selected.
Print Graph - the displayed graph can be printed to your default printer as-is but no options are available - see section on Program Output for other options for printing graphs.
Exit - exits and prompts to save any changes to train or route characteristics.

Open Existing Route - retrieves an existing route from disk.
New Route - opens a dialogue to enter a completely new route.
Save Route - opens a dialogue to save current route.
Edit Route - opens a dialogue to edit route details.
Include / Exclude Stations - compare running times for different options.

Open Existing Train - retrieves an existing train from disk.
New Train - opens a dialogue to enter details of a completely new train.
Save Train - opens a dialogue to save current train.
Edit Train - opens a dialogue to edit train details.
Configuration - opens a dialogue to edit global variables.

Contents - this help file.
About - copyright screen.

Please note that this helpfile is a pre-release edition and the details may change.
The menu screens were captured from TrainSpeed running on Windows XP.


Route data
[Previous] [Main] [Next]

This section looks at what route characteristics are used and how they are handled. Details are in miles and chains for station locations, start and end points of curves, and changes in gradients. Station dwell times are given in seconds, speeds in miles per hour and curve radii in metres. TrainSpeed can accept a route with either increasing or decreasing mileage but cannot cope with a break in mileage. This can happen at a junction where the line mileage has a different origin and may even run in the opposite direction.

The input routine for a new route first asks you to enter the start and finish locations.

Next you are asked to enter the stations along the route, giving location, dwell time and name. There is no necessity to enter these in logical order, the program will sort the entries when you have finished. If you make a mistake, just carry on and then go back and edit the route when you have finished.

Next you are asked to enter the permanent speed restrictions (PSRs). Each entry comprises the start location and the speed, the next location will be where the PSR changes to a greater or lesser value.

Then you are asked to enter the gradients. Each entry comprises the start location and the value, the next location will be where the gradient changes to a greater or lesser value. Vertical curves are ignored (and are not usually shown in gradient books).

Lastly you are asked to enter the details of curves along the route. Each entry comprises the start and finish location and the radius. The locations should include the transitions at each end of the circular curve, TrainSpeed will assume a normal length of transition based on standard British railway track geometry rules.

Route information is held in files in the TrainSpeed directory under your Documents folder with the extension .rte.

Contents:
Stations
Speed Restrictions
Gradients
Curves


Stations
[Previous] [Main] [Next]

Stations are defined by location (miles and chains to centre of platform) and dwell time. Dwell times of 30 seconds are recommended for minor stations, 45 or 60 seconds or even more for larger stations. TrainSpeed will accept any whole number of seconds for an entry. Dwell time should not be confused with recovery time.

For any run, you may simulate the run calling at all stations, selected stations, or non-stop, so that different stopping patterns can be timed. If you click on "Include / Exclude Stations", you will be presented with one or more screens listing the stations along the route with checkboxes to indicate if you wish to stop there or not. This enables you to select different calling patterns without editing the route.

The choice you make will be reflected only in the current session, TrainSpeed calls at all stations by default.

The route editing screen shows three stations, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected station will be presented for editing. Here you can alter the details. Clicking on "Delete" will delete the selected station and clicking on "Add" will add a new station.


Speed Restrictions
[Previous] [Main] [Next]

Each permanent speed restriction (PSR) entry comprises the start location in miles and chains and the speed in miles per hour, the next location will be where the PSR changes to a greater or lesser value.

The route editing screen shows three restrictions, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected restriction will be presented for editing. Here you can alter the details. Clicking on "Delete" will delete the selected restriction and extend the previous restriction to the following, clicking on "Add" will add a new restriction within that selected.


Gradients
[Previous] [Main] [Next]

Gradients are input in the form 1 in h between mileage points and gradients of any whole-number value are accepted. Each entry comprises the start location in miles and chains and the value, the next location will be where the gradient changes to a greater or lesser value. Vertical curves are ignored (and are not usually shown in gradient books). Basic error checking is implemented, if you enter a value less than 1 in 20 you will be asked to verify the value, values steeper than 1 in 30 are rare on main line systems! To indicate level, you may enter either the digit "0" or the word "level" or simply leave the entry blank.

The route editing screen shows three gradients, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected gradient will be presented for editing. Here you can alter the details. Clicking on "Delete" will delete the selected gradient and extend the previous gradient to the following change point, clicking on "Add" will add a new gradient within that selected.


Curves
[Previous] [Main] [Next]

Each entry comprises the start and finish location in miles and chains and the radius in metres. TrainSpeed assumes a normal length transition for each curve based on RGS and Network Rail track design standards.

The route editing screen shows three curves, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected curve will be presented for editing. Here you can alter the details.

Clicking on "Delete" will delete the selected curve, clicking on "Add" will add a new curve. You do not have to be in the correct location to do this, the new curve will be automatically sorted into the correct location.


Train data
[Previous] [Main] [Next]

This section looks at what train characteristics are used and how they are handled.

For train performance, the following values are captured: maximum speed, maximum power, motor efficiency, regeneration efficiency (for electric traction), tractive effort, auxiliaries (hotel) power demand, brake force (for loco-hauled trains), total mass, rotating masses, passenger load, length, height, width, and factors for rolling resistance, flanging friction and aerodynamic drag.

Tractive effort is used to calculate accelerations at lower speeds before the aerodynamic effects become significant. Both maximum and continuous values are needed, together with the speed at which the change between the two becomes effective.

Passenger load is calculated using an average weight per passenger of 70kg by default. You may adjust this value through the Configuration menu option.

Modern passenger multiple-unit rolling stock is fitted with a three-step brake where nominal brake rates are set at 3% g, 6% g, and 9% g for brake steps 1, 2, and 3 respectively. Loco-hauled trains have different braking curves, this release uses a value for total brake force for the whole train.

Train performance characteristics are held in files in the TrainSpeed directory under your Documents folder with the extension .trn.

Contents:
Power and acceleration
Braking performance


Power and acceleration
[Previous] [Main] [Next]

For train performance, the following values are input: max speed (mph), max power (hp or kW), motor efficiency (%), tractive effort (kN) (for locomotives), auxiliaries (hotel) power demand (kW), max brake force (kN) (for loco-hauled trains), regeneration efficiency (coefficient, for electric traction), mass (Mg / tonnes), rotating masses (%), rotating mass inertia factor, passenger capacity (number of seats and standees), length (m), height (m), width (m), rolling resistance (coefficient), flanging friction (coefficient), aerodynamic drag factor (coefficient).

The height and width of the train are used together with the drag coefficient to calculate the aerodynamic drag which is proportional to the square of the speed. The first serious research into train resistances was undertaken by WJ Davis in 1926 and the factors were determined for the railway stock in use for those tests. This work has been built upon by many since but the basic principles have not changed. The differences are due to improved axle bearing and bogie designs that have reduced rolling resistance and flanging forces, and to changes in the detail design of rolling stock that have reduced the aerodynamic drag forces. TrainSpeed accepts a single factor for the aerodynamic effects which is a value for the whole train and is based upon the shapes of the ends and intermediate carriage ends. Rolling resistance and flanging are similarly covered by other factors. The length of the train is used to stop the train half way along the platform, assuming the location mileage is at the centre of the platform, and to ensure the end of the train has passed the location of an increase in permitted speed before accelerating.

Tractive effort is a measure of the overall efficiency of the transmission system in getting the power of the engine onto the rails. Tractive effort for passenger and freight trains assumes normal dry rail adhesion and allows for any slip/creep control employed by the particular locomotive or unit to maximise tractive effort. Both maximum and continuous values are needed, together with the speed at which the change between the two becomes effective. If these are unknown, then TrainSpeed will make assumptions based upon normally achievable accelerations and other factors. A normal adhesion value on dry rail of µ = 0.6 is assumed whilst a defensive driving (low adhesion) option limits adhesion to µ = 0.4.

Rotating masses are accounted for as a percentage of the total mass of the train. For a non-rotating body, kinetic energy E = ½ m v². A rotating mass has greater kinetic energy than the same mass moving in a straight line and it will take more power to accelerate or decelerate it. How much more depends on its angular velocity. For a wheel, this can be simplified as follows:
· For a bicycle wheel, where all the mass is at the rim, E = m v²
· For a disk wheel, where the mass is evenly distributed, E = ¾ m v²

For a railway vehicle, the rotating masses are principally the wheels and axles, plus the traction motors and gearboxes. A railway wheel has a heavy rim but the web and axle also have significant mass, especially where disk brakes are fitted. Thus the assessment of the KE is complex and will be different for each type. A further complication is assessing the contribution of the drive train to the rotating masses. The mass will be small compared to that of the wheelsets but the rotational speed will be higher, so the contribution is not insignificant. A value of E = 0.9 m v² would normally be a good starting point for calculating the effects of all rotating masses.

The rotating masses within a diesel-electric power plant on a train can be ignored as they are relatively small and they do not change speed in direct proportion to the speed of the vehicle.


Braking performance
[Previous] [Main] [Next]

Braking characteristics for passenger and freight rolling stock are different and TrainSpeed takes this into account.

Modern passenger multiple-unit rolling stock is fitted with a three-step brake where nominal brake rates are set at 3% g, 6% g, and 9% g for brake steps 1, 2, and 3 respectively. HST sets have a six-step brake where step six is designed to give 9% g, although better can often be achieved. The Technical Specification for Interoperability for high speed rolling stock specifies a minimum retardation rate for speeds up to 230 km/h (143 mph) of 0.6 m/s² which is nominally equal to brake step 2 but which does not preclude the use of brake step 3 at lower speeds.

The retardation rates achieved by the brake steps set out above are for straight and level track. TrainSpeed takes these nominal rates and converts them to equivalent brake forces and then uses those values to calculate the instantaneous deceleration rates achieved in combination with the current track curvature and gradient. It also adds in the effects of aerodynamic drag. Thus the internal calculations are similar for multiple unit stock and for loco-hauled stock where a total brake force is specified.

TrainSpeed applies and releases the brakes progressively to mimic good driving practice and brake system lag. It applies a brake force equivalent to brake step 1 for the first second, moves to brake step 2 for the next second, and then to brake step 3 until close to the required reduction in speed. It then eases to brake step 2 for one second and then to brake step 1 for the final reduction. Defensive driving (low adhesion) avoids the use of brake step 3. If the train is braking on a downhill gradient exceeding 1 in 50 (2%) then brake step 2 will be held until the target speed is reached.

A similar approach is taken for loco-hauled trains, 33% of the available brake force is applied for the first second, 67% for the next second, then 100% until close to the target speed, whereupon the brakes are tapered off as for multiple-unit passenger stock. Similarly, a maximum of 67% of the maximum available brake force will be used for defensive driving conditions. A later release may be able to handle the standard braking curves specified in Railway Group Standards if I'm asked to do that.


Output
[Previous] [Main] [Next]

This section looks at what information TrainSpeed gives you and how it is presented.

Contents:
On-screen graph
File output


On-screen graph
[Previous] [Main] [Next]

Whilst running the simulation, TrainSpeed will present a graph of speed against distance showing current progress. This shows the distance in miles and chains as defined in the current route against the speed attained by the train. The gridlines and PSR profile are shown in black, the gradient profile in green, and the train's actual speed in red.

After loading a route, the PSR profile can be plotted to gauge the effects and location of restrictions, gradients and stations. The gradient profile is shown in green and is not to scale. Stations are indicated by a dot on the distance axis. This can be updated after editing the route.

The speed attained by the train is plotted in red as the simulator is running, the elapsed time is shown throughout in decimal minutes and in hours, minutes and seconds on completion.

TrainSpeed is able to print this graph to a single sheet of paper exactly as displayed on-screen. If you wish to add further details or comments, all the information needed is saved to a disk file for importing into any spreadsheet. This will enable you to present the graph in your chosen format.


File output for spreadsheet
[Previous] [Main]

Whilst running the simulation, TrainSpeed writes a file to disk giving the following information:
· location - in metres travelled and in miles and chains
· current speed - in miles per hour
· permissible speed - in miles per hour
· elapsed time - in decimal minutes and in hours, minutes and seconds
· power - instantaneous and cumulative

The file is in comma delimited format with a header row and can therefore be directly imported into any spreadsheet for further graphing and presentation. Its name is trainspd.csv and it will normally be found in the TrainSpeed directory under your Documents folder.

If further runs are made, previous versions of trainspd.csv will be renamed successively as train001.csv, train002.csv, etc, up to train999.csv and beyond. You must ensure that you do not have trainspd.csv open as a spreadsheet when attempting to run another simulation, you must "Save as" to another name or close the file first. Regular housekeeping is recommended to avoid cluttering up your disk drive with ancient files!


About

 TrainSpeed - the pocket calculator for train performance!

TrainSpeed is designed to help make comparisons between different stopping patterns and to verify the time savings to be had from selectively lifting speed restrictions.
This Version 2 first trialled 2008.

TrainSpeed is copyright © Judith Rastall, 1997 to 2010.


Config

 Edit details for average weight of passengers.


.topic 1
Welcome to TrainSpeed, the pocket calculator for train performance.

Contents:
Overview
Route Data
Train Data
Program Output

TrainSpeed is © Judith Rastall, 1997 to 2010

.topic 11
This section looks at how this program works, what you can expect from it and its limitations.

TrainSpeed calculates the running time over a given route, using a given train. You may select from any route data file and from any train data file on disk. For this version of the calculator, the data files must be in the correct format - there is little in the way of error checking! If you use the in-built edit option, there should be no problem.

You may edit the route or train performance data, you may simulate the run calling at all stations, selected stations or non-stop.

Contents:
What is a Simulator?
Program Methodology
Basic Physics
Practical Considerations
Menu Options

.topic 12
A simulator attempts to calculate the performance of real events in a virtual setting. In this context, the speeds attainable and running times over a whole route or between stations of a real or proposed train can be calculated on a computer. The purpose of doing this is to derive running times for the trains so that a working timetable for the route can be compiled.

TrainSpeed also allows comparisons to be made very easily and quickly between different options such as:
different installed power
different braking rates
different passenger load factors
time saved by calling at selected station stops or running non-stop
time saved by lifting track speed restrictions

.topic 13
The TrainSpeed program works by taking the various characteristics of the route and the train running on it and calculating the possible and permissible speeds. It then "drives" the train over the route and calculates the running time for the route.

Every second, TrainSpeed calculates the train's current speed and compares it with the permissible speed. It also looks ahead for the next applicable speed restriction or stopping point. The program then decides whether the train should accelerate, decelerate or maintain its current speed. It then calculates the distance run over the next second and the speed at the end of that time.

TrainSpeed makes assumptions on driving style which can be selected by the user. A "normal" driving style makes use of maximum available power and adhesion, whilst a "defensive" driving style restricts tractive effort and braking rates to lower values. The latter is useful for checking performance and running times during the leaf-fall season, for example.

External environmental factors such as strong winds and low temperatures are not accounted for by TrainSpeed. These can both adversely affect performance in extreme conditions.

.topic 14
TrainSpeed is based on an application of Newton's 2nd Law of Motion. Namely that a body's acceleration is directly proportional to its mass and the forces acting upon it. The train's mass is simply the sum of the mass of all its vehicles. The forces acting upon the train are those due to tractive effort which produces acceleration and braking which produces deceleration. Other forces acting include gravity which affects the train's performance up and down gradients, friction, as in rolling resistance, and aerodynamic drag caused by the resistance of the air through which it moves.

Braking force is generally constant against speed, although this is not so for very high speed running. TrainSpeed assumes that a constant value of brake force is available.

Acceleration is proportional to the available force acting on the train. The available force is the net value of tractive effort, wind and rolling resistance. Aerodynamic drag increases in proportion to the square of speed. Tractive effort is derived from the installed power of the train and is inversely proportional to its speed. At lower speeds it is limited by such considerations as motor stall current and adhesion.

Gradients simply introduce the effects of gravity on the train. Gravity will exert an additional force to slow a train on an up-grade and to increase its speed on a down-grade. For example, a gradient of 1% (1 in 100) will allow gravity to exert an acceleration of 1% g or approximately 0.1 m/s². Although this might not seem significant for a train whose maximum acceleration is given as 1.0 m/s² or more, it must be remembered that the same train's acceleration will tail off to around 0.3 m/s² or even 0.2 m/s² at its maximum speed. This is now highly significant, introduce a gradient of 2% or 2.5% and the effects of gravity will out-weigh that of tractive effort.

In essence, this means that a train accelerating downhill will achieve its intended speed earlier. Uphill it will take longer and, in extreme circumstances, will never achieve it. Similarly, a train travelling downhill will need a significantly longer braking distance from any speed.

Finally, curvature increases the rolling resistance due to friction from flange contact and is dependent on the radius of curvature, speed, vehicle or bogie wheelbase, bogie rotational stiffnesses, and flange clearances. It will also depend on the effectiveness of any lubrication applied on the curve.

TrainSpeed Version 2 takes all these effects fully into account in its calculations.

.topic 15
TrainSpeed is written using Liberty Basic, a shareware program which has much of the functionality of Microsoft's Visual Basic but at a fraction of the price. It was initially developed on a Compaq Aero laptop in my spare time in response to a need to calculate train running times on an overseas project I was working on in 1997.

The first version took no account of gradients since the railway route it was written around was essentially flat and all input and output was in metric units. Version 2 is tailored for the UK market in that it accepts and outputs distances in miles and chains and speeds in miles per hour, as well as fully accounting for gradients. It also calculates train performance from first principles.

.topic 16
The basic menu structure is as follows:

The top of the opening screen.

Simulate route - Plots PSR profile and runs simulation. Prompts to load a route and train if none selected and asks you to specify the passenger load and if you wish to simulate normal or defensive driving. The "Go..." button at the top right of the main screen has the same function.
Plot PSR Profile - plots line speed profile (Manhattan Skyline) and gradient profile for the currently loaded route. Prompts to load a route if none is selected.
Print Graph - the displayed graph can be printed to your default printer as-is but no options are available - see section on Program Output for other options for printing graphs.
Exit - exits and prompts to save any changes to train or route characteristics.

Open Existing Route - retrieves an existing route from disk.
New Route - opens a dialogue to enter a completely new route.
Save Route - opens a dialogue to save current route.
Edit Route - opens a dialogue to edit route details.
Include / Exclude Stations - compare running times for different options.

Open Existing Train - retrieves an existing train from disk.
New Train - opens a dialogue to enter details of a completely new train.
Save Train - opens a dialogue to save current train.
Edit Train - opens a dialogue to edit train details.
Configuration - opens a dialogue to edit global variables.

Contents - this help file.
About - copyright screen.

Please note that this helpfile is a pre-release edition and the details may change.
The menu screens were captured from TrainSpeed running on Windows XP.

.topic 21
This section looks at what route characteristics are used and how they are handled. Details are in miles and chains for station locations, start and end points of curves, and changes in gradients. Station dwell times are given in seconds, speeds in miles per hour and curve radii in metres. TrainSpeed can accept a route with either increasing or decreasing mileage but cannot cope with a break in mileage. This can happen at a junction where the line mileage has a different origin and may even run in the opposite direction.

The input routine for a new route first asks you to enter the start and finish locations.

Next you are asked to enter the stations along the route, giving location, dwell time and name. There is no necessity to enter these in logical order, the program will sort the entries when you have finished. If you make a mistake, just carry on and then go back and edit the route when you have finished.

Next you are asked to enter the permanent speed restrictions (PSRs). Each entry comprises the start location and the speed, the next location will be where the PSR changes to a greater or lesser value.

Then you are asked to enter the gradients. Each entry comprises the start location and the value, the next location will be where the gradient changes to a greater or lesser value. Vertical curves are ignored (and are not usually shown in gradient books).

Lastly you are asked to enter the details of curves along the route. Each entry comprises the start and finish location and the radius. The locations should include the transitions at each end of the circular curve, TrainSpeed will assume a normal length of transition based on standard British railway track geometry rules.

Route information is held in files in the TrainSpeed directory under your Documents folder with the extension .rte.

Contents:
Stations
Speed Restrictions
Gradients
Curves

.topic 22
Stations are defined by location (miles and chains to centre of platform) and dwell time. Dwell times of 30 seconds are recommended for minor stations, 45 or 60 seconds or even more for larger stations. TrainSpeed will accept any whole number of seconds for an entry. Dwell time should not be confused with recovery time.

For any run, you may simulate the run calling at all stations, selected stations, or non-stop, so that different stopping patterns can be timed. If you click on "Include / Exclude Stations", you will be presented with one or more screens listing the stations along the route with checkboxes to indicate if you wish to stop there or not. This enables you to select different calling patterns without editing the route.

The choice you make will be reflected only in the current session, TrainSpeed calls at all stations by default.

The route editing screen shows three stations, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected station will be presented for editing. Here you can alter the details. Clicking on "Delete" will delete the selected station and clicking on "Add" will add a new station.

.topic 23
Each permanent speed restriction (PSR) entry comprises the start location in miles and chains and the speed in miles per hour, the next location will be where the PSR changes to a greater or lesser value.

The route editing screen shows three restrictions, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected restriction will be presented for editing. Here you can alter the details. Clicking on "Delete" will delete the selected restriction and extend the previous restriction to the following, clicking on "Add" will add a new restriction within that selected.

.topic 24
Gradients are input in the form 1 in h between mileage points and gradients of any whole-number value are accepted. Each entry comprises the start location in miles and chains and the value, the next location will be where the gradient changes to a greater or lesser value. Vertical curves are ignored (and are not usually shown in gradient books). Basic error checking is implemented, if you enter a value less than 1 in 20 you will be asked to verify the value, values steeper than 1 in 30 are rare on main line systems! To indicate level, you may enter either the digit "0" or the word "level" or simply leave the entry blank.

The route editing screen shows three gradients, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected gradient will be presented for editing. Here you can alter the details. Clicking on "Delete" will delete the selected gradient and extend the previous gradient to the following change point, clicking on "Add" will add a new gradient within that selected.

.topic 25
Each entry comprises the start and finish location in miles and chains and the radius in metres. TrainSpeed assumes a normal length transition for each curve based on RGS and Network Rail track design standards.

The route editing screen shows three curves, the "Previous" and "Next" buttons enable you to scroll through the route.

Click on the "Edit" button and the selected curve will be presented for editing. Here you can alter the details.

Clicking on "Delete" will delete the selected curve, clicking on "Add" will add a new curve. You do not have to be in the correct location to do this, the new curve will be automatically sorted into the correct location.

.topic 31
This section looks at what train characteristics are used and how they are handled.

For train performance, the following values are captured: maximum speed, maximum power, motor efficiency, regeneration efficiency (for electric traction), tractive effort, auxiliaries (hotel) power demand, brake force (for loco-hauled trains), total mass, rotating masses, passenger load, length, height, width, and factors for rolling resistance, flanging friction and aerodynamic drag.

Tractive effort is used to calculate accelerations at lower speeds before the aerodynamic effects become significant. Both maximum and continuous values are needed, together with the speed at which the change between the two becomes effective.

Passenger load is calculated using an average weight per passenger of 70kg by default. You may adjust this value through the Configuration menu option.

Modern passenger multiple-unit rolling stock is fitted with a three-step brake where nominal brake rates are set at 3% g, 6% g, and 9% g for brake steps 1, 2, and 3 respectively. Loco-hauled trains have different braking curves, this release uses a value for total brake force for the whole train.

Train performance characteristics are held in files in the TrainSpeed directory under your Documents folder with the extension .trn.

Contents:
Power and acceleration
Braking performance

.topic 32
For train performance, the following values are input: max speed (mph), max power (hp or kW), motor efficiency (%), tractive effort (kN) (for locomotives), auxiliaries (hotel) power demand (kW), max brake force (kN) (for loco-hauled trains), regeneration efficiency (coefficient, for electric traction), mass (Mg / tonnes), rotating masses (%), rotating mass inertia factor, passenger capacity (number of seats and standees), length (m), height (m), width (m), rolling resistance (coefficient), flanging friction (coefficient), aerodynamic drag factor (coefficient).

The height and width of the train are used together with the drag coefficient to calculate the aerodynamic drag which is proportional to the square of the speed. The first serious research into train resistances was undertaken by WJ Davis in 1926 and the factors were determined for the railway stock in use for those tests. This work has been built upon by many since but the basic principles have not changed. The differences are due to improved axle bearing and bogie designs that have reduced rolling resistance and flanging forces, and to changes in the detail design of rolling stock that have reduced the aerodynamic drag forces. TrainSpeed accepts a single factor for the aerodynamic effects which is a value for the whole train and is based upon the shapes of the ends and intermediate carriage ends. Rolling resistance and flanging are similarly covered by other factors. The length of the train is used to stop the train half way along the platform, assuming the location mileage is at the centre of the platform, and to ensure the end of the train has passed the location of an increase in permitted speed before accelerating.

Tractive effort is a measure of the overall efficiency of the transmission system in getting the power of the engine onto the rails. Tractive effort for passenger and freight trains assumes normal dry rail adhesion and allows for any slip/creep control employed by the particular locomotive or unit to maximise tractive effort. Both maximum and continuous values are needed, together with the speed at which the change between the two becomes effective. If these are unknown, then TrainSpeed will make assumptions based upon normally achievable accelerations and other factors. A normal adhesion value on dry rail of µ = 0.6 is assumed whilst a defensive driving (low adhesion) option limits adhesion to µ = 0.4.

Rotating masses are accounted for as a percentage of the total mass of the train. For a non-rotating body, kinetic energy E = ½ m v². A rotating mass has greater kinetic energy than the same mass moving in a straight line and it will take more power to accelerate or decelerate it. How much more depends on its angular velocity. For a wheel, this can be simplified as follows:
·	For a bicycle wheel, where all the mass is at the rim, E = m v²
For a disk wheel, where the mass is evenly distributed, E = ¾ m v²

For a railway vehicle, the rotating masses are principally the wheels and axles, plus the traction motors and gearboxes. A railway wheel has a heavy rim but the web and axle also have significant mass, especially where disk brakes are fitted. Thus the assessment of the KE is complex and will be different for each type. A further complication is assessing the contribution of the drive train to the rotating masses. The mass will be small compared to that of the wheelsets but the rotational speed will be higher, so the contribution is not insignificant. A value of E = 0.9 m v² would normally be a good starting point for calculating the effects of all rotating masses.

The rotating masses within a diesel-electric power plant on a train can be ignored as they are relatively small and they do not change speed in direct proportion to the speed of the vehicle.

.topic 33
Braking characteristics for passenger and freight rolling stock are different and TrainSpeed takes this into account.

Modern passenger multiple-unit rolling stock is fitted with a three-step brake where nominal brake rates are set at 3% g, 6% g, and 9% g for brake steps 1, 2, and 3 respectively. HST sets have a six-step brake where step six is designed to give 9% g, although better can often be achieved. The Technical Specification for Interoperability for high speed rolling stock specifies a minimum retardation rate for speeds up to 230 km/h (143 mph) of 0.6 m/s² which is nominally equal to brake step 2 but which does not preclude the use of brake step 3 at lower speeds.

The retardation rates achieved by the brake steps set out above are for straight and level track. TrainSpeed takes these nominal rates and converts them to equivalent brake forces and then uses those values to calculate the instantaneous deceleration rates achieved in combination with the current track curvature and gradient. It also adds in the effects of aerodynamic drag. Thus the internal calculations are similar for multiple unit stock and for loco-hauled stock where a total brake force is specified.

TrainSpeed applies and releases the brakes progressively to mimic good driving practice and brake system lag. It applies a brake force equivalent to brake step 1 for the first second, moves to brake step 2 for the next second, and then to brake step 3 until close to the required reduction in speed. It then eases to brake step 2 for one second and then to brake step 1 for the final reduction. Defensive driving (low adhesion) avoids the use of brake step 3. If the train is braking on a downhill gradient exceeding 1 in 50 (2%) then brake step 2 will be held until the target speed is reached.

A similar approach is taken for loco-hauled trains, 33% of the available brake force is applied for the first second, 67% for the next second, then 100% until close to the target speed, whereupon the brakes are tapered off as for multiple-unit passenger stock. Similarly, a maximum of 67% of the maximum available brake force will be used for defensive driving conditions. A later release may be able to handle the standard braking curves specified in Railway Group Standards if I'm asked to do that.

.topic 41
This section looks at what information TrainSpeed gives you and how it is presented.

Contents:
On-screen graph
File output

.topic 42
Whilst running the simulation, TrainSpeed will present a graph of speed against distance showing current progress. This shows the distance in miles and chains as defined in the current route against the speed attained by the train. The gridlines and PSR profile are shown in black, the gradient profile in green, and the train's actual speed in red.

After loading a route, the PSR profile can be plotted to gauge the effects and location of restrictions, gradients and stations. The gradient profile is shown in green and is not to scale. Stations are indicated by a dot on the distance axis. This can be updated after editing the route.

The speed attained by the train is plotted in red as the simulator is running, the elapsed time is shown throughout in decimal minutes and in hours, minutes and seconds on completion.

TrainSpeed is able to print this graph to a single sheet of paper exactly as displayed on-screen. If you wish to add further details or comments, all the information needed is saved to a disk file for importing into any spreadsheet. This will enable you to present the graph in your chosen format.

.topic 43
Whilst running the simulation, TrainSpeed writes a file to disk giving the following information:
location - in metres travelled and in miles and chains
current speed - in miles per hour
permissible speed - in miles per hour
elapsed time - in decimal minutes and in hours, minutes and seconds
power - instantaneous and cumulative

The file is in comma delimited format with a header row and can therefore be directly imported into any spreadsheet for further graphing and presentation. Its name is trainspd.csv and it will normally be found in the TrainSpeed directory under your Documents folder.

If further runs are made, previous versions of trainspd.csv will be renamed successively as train001.csv, train002.csv, etc, up to train999.csv and beyond. You must ensure that you do not have trainspd.csv open as a spreadsheet when attempting to run another simulation, you must "Save as" to another name or close the file first. Regular housekeeping is recommended to avoid cluttering up your disk drive with ancient files!


Dwell time

 Dwell time is the time booked to stop at a station to set down and pick up passengers.


Edit Route

 Opens the dialogue box to edit the current route.


Edit Train

 Opens the dialogue box to edit the current train.


New Route

 Selects the option to create a new route by keyboard input.


New Train

 Selects the option to input details of a new train by keyboard.


Open Existing Train

 Opens the "File Open" dialogue to retrieve a previously saved train.


Open Existing Route

 Opens the "File Open" dialogue to retrieve a previously saved route.


Plot PSRs

 "Manhattan Skyline" for currently loaded route. Prompts to load a route if one is not selected.


Print Graph

 This implements a basic screen-dump to your default printer.


Recovery time

 Recovery time is that time inserted into the timetable to ensure robust timekeeping. It should be added after base performance times have been established in accordance with standard operating practice.


Save Route

 Opens the "Save File" dialogue to save the current route.


Save Train

 Opens the "Save File" dialogue to save the current train.


Simulate

 Plots PSR profile and runs simulation. The PSR profile is plotted on-screen in black and the gradient profile in green, and then the running speed is plotted in red as the program calculates this.

Prompts to load a route and train if none selected. The "Go" button at the top of main screen has the same function.


Include/Exclude Stations

 Opens a dialogue box listing the stations along the route, if there are more than 10 stations then there will be more than one screen. Each station has a checkbox to call, clear this to not call there. Note that the program will not allow you to unselect the start and finish stations. This option applies to the current session only and the choices made will not be saved.